package com.ynet.life.file.parser;

import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* loaded from: com_ynet_life_file_parser.jar:com/ynet/life/file/parser/CommonTXTFileParser.class */
public class CommonTXTFileParser implements CommonFileParserInterface {
    @Override // com.ynet.life.file.parser.CommonFileParserInterface
    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding) throws TranFailException {
        StringBuffer fileContent = new StringBuffer();
        if (titles != null) {
            for (int i = 0; i < titles.size(); i++) {
                String title = (String) titles.get(i);
                fileContent.append(title);
                if (i < titles.size() - 1) {
                    fileContent.append("|");
                }
            }
            fileContent.append(LifeFile.LINE_SEPARATOR);
        }
        if (recordList != null) {
            Iterator iterator = recordList.iterator();
            while (iterator.hasNext()) {
                Map record = (Map) iterator.next();
                for (int i2 = 0; i2 < outputFields.size(); i2++) {
                    Object obj = record.get(outputFields.get(i2)) == null ? "" : record.get(outputFields.get(i2));
                    String format = (String) outputFormats.get(i2);
                    String fieldValue = FileParserUtil.transformFormat(obj.toString(), format);
                    fileContent.append(fieldValue);
                    if (i2 < outputFields.size() - 1) {
                        fileContent.append("|");
                    }
                }
                fileContent.append(LifeFile.LINE_SEPARATOR);
            }
        }
        StringBuffer sb = new StringBuffer();
        String tempString = fileContent.toString();
        for (int i3 = 0; i3 < tempString.length(); i3++) {
            char ch = tempString.charAt(i3);
            if (ch == '\n') {
                sb.append("\r\n");
            } else if (ch != '\r') {
                if (ch == ' ') {
                    sb.append(" ");
                } else {
                    sb.append(ch);
                }
            }
        }
        LifeFile.writeStringToFile(filePathName, sb.toString(), encoding, false);
    }

    @Override // com.ynet.life.file.parser.CommonFileParserInterface
    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding, String expressionContent) throws TranFailException {
        writeToFile(titles, recordList, outputFields, outputFormats, filePathName, encoding);
    }

    @Override // com.ynet.life.file.parser.CommonFileParserInterface
    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, String filePathName, String encoding, boolean seqFlag) throws TranFailException {
    }

    @Override // com.ynet.life.file.parser.CommonFileParserInterface
    public void writeToFile(List oneTitles, List twoTitles, List recordList, List outputFields, List titleColWidthFormats, List leftRightColMergeFormats, List topBottomColMergeFormats, String filePathName, String encoding, String reportTitle, List leftRightColMergeNum) throws TranFailException {
    }
}
